import { type PayloadAction, createSlice } from '@reduxjs/toolkit'

const initialState = {
  friends: {} as Record<string, number>,
  user: {},
}

export const starsSlice = createSlice({
  name: 'stars',
  initialState,
  reducers: {
    setStars(state, action) {
      state.friends[action.payload.id] = action.payload.value
    },
    increment(state, action: PayloadAction<{ id: string }>) {
      state.friends[action.payload.id] += 1
    },
    decrement(state, action) {
      state.friends[action.payload.id] -= 1
    },
  },
})

