import { configureStore } from '@reduxjs/toolkit'
import { useSelector } from 'react-redux'

import { reducer as usersFetchReducer } from './reducers/users'
import { starsSlice } from './slices/stars'
import { api } from './service/main'

export const store = configureStore({
  reducer: {
    user: usersFetchReducer,
    [starsSlice.reducerPath]: starsSlice.reducer,
    [api.reducerPath]: api.reducer,
  },
  devTools: {
    name: 'stars',
  },
  middleware: (getDefaultMiddleware) => getDefaultMiddleware()
    .concat(api.middleware),
})

export type StoreType = ReturnType<typeof store.getState>

export const useAppSelector = useSelector<StoreType>
